|  | Home · All Namespaces · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# Q3ImageDrag Class Reference
[Qt3Support module]

The Q3ImageDrag class provides a drag and drop object for transferring images. More...

     #include <Q3ImageDrag>

This class is part of the Qt 3 support library. It is provided to keep old source code working. We strongly advise against using it in new code. See Porting to Qt 4 for more information.

Inherits Q3DragObject.

- List of all members, including inherited members

### Public Functions

- Q3ImageDrag ( QImage image, QWidget * dragSource = 0, const char * name = 0 )
- Q3ImageDrag ( QWidget * dragSource = 0, const char * name = 0 )
- ~Q3ImageDrag ()
- virtual void setImage ( QImage image )

- 9 public functions inherited from Q3DragObject
- 29 public functions inherited from QObject
- 3 public functions inherited from QMimeSource

### Static Public Members

- bool canDecode ( const QMimeSource * source )
- bool decode ( const QMimeSource * source, QImage & image )
- bool decode ( const QMimeSource * source, QPixmap & pixmap )

- 1 static public member inherited from Q3DragObject
- 5 static public members inherited from QObject

### Additional Inherited Members

- 1 property inherited from QObject
- 1 public slot inherited from QObject
- 1 signal inherited from QObject
- 1 protected function inherited from Q3DragObject
- 7 protected functions inherited from QObject

## Detailed Description

The Q3ImageDrag class provides a drag and drop object for transferring images.

Images are offered to the receiving application in multiple formats, determined by Qt's output formats.

## Member Function Documentation

### Q3ImageDrag::Q3ImageDrag ( QImage image, QWidget * dragSource = 0, const char * name = 0 )

Constructs an image drag object with the given name, and sets its data to image. The dragSource is the widget that the drag operation started from.

### Q3ImageDrag::Q3ImageDrag ( QWidget * dragSource = 0, const char * name = 0 )

Constructs a default image drag object with the given name. The dragSource is the widget that the drag operation started from.

### Q3ImageDrag::~Q3ImageDrag ()

Destroys the image drag object.

### bool Q3ImageDrag::canDecode ( const QMimeSource * source ) `[static]`

Returns true if the information in the MIME source can be decoded into an image; otherwise returns false.

See also decode().

### bool Q3ImageDrag::decode ( const QMimeSource * source, QImage & image ) `[static]`

Decode the dropped information in the MIME source into the image. Returns true if successful; otherwise returns false.

See also canDecode().

### bool Q3ImageDrag::decode ( const QMimeSource * source, QPixmap & pixmap ) `[static]`

This is an overloaded member function, provided for convenience.

Decodes the dropped information in the MIME source into the pixmap. Returns true if successful; otherwise returns false.

This is a convenience function that converts the information to a QPixmap via a QImage.

See also canDecode().

### void Q3ImageDrag::setImage ( QImage image ) `[virtual]`

Sets the image to be dragged. You will need to call this if you did not pass the image during construction.